
From: Andi Kleen <ak@suse.de>

ACPI modules check acpi_disabled at module load time.  This fixes random
failures to load battery.o et.al.



 arch/i386/kernel/setup.c   |    4 ++--
 arch/ia64/kernel/acpi.c    |    2 +-
 arch/x86_64/kernel/setup.c |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff -puN arch/i386/kernel/setup.c~acpi_disabled-fix arch/i386/kernel/setup.c
--- 25/arch/i386/kernel/setup.c~acpi_disabled-fix	2003-09-18 20:02:17.000000000 -0700
+++ 25-akpm/arch/i386/kernel/setup.c	2003-09-18 20:02:44.000000000 -0700
@@ -65,9 +65,9 @@ unsigned long mmu_cr4_features;
 EXPORT_SYMBOL_GPL(mmu_cr4_features);
 
 #ifdef	CONFIG_ACPI_INTERPRETER
-	int acpi_disabled __initdata = 0;
+	int acpi_disabled = 0;
 #else
-	int acpi_disabled __initdata = 1;
+	int acpi_disabled = 1;
 #endif
 EXPORT_SYMBOL(acpi_disabled);
 
diff -puN arch/ia64/kernel/acpi.c~acpi_disabled-fix arch/ia64/kernel/acpi.c
--- 25/arch/ia64/kernel/acpi.c~acpi_disabled-fix	2003-09-18 20:02:17.000000000 -0700
+++ 25-akpm/arch/ia64/kernel/acpi.c	2003-09-18 20:02:17.000000000 -0700
@@ -56,7 +56,7 @@ void (*pm_power_off) (void);
 
 unsigned char acpi_kbd_controller_present = 1;
 
-int acpi_disabled __initdata;	/* XXX this shouldn't be needed---we can't boot without ACPI! */
+int acpi_disabled;	/* XXX this shouldn't be needed---we can't boot without ACPI! */
 
 const char *
 acpi_get_sysname (void)
diff -puN arch/x86_64/kernel/setup.c~acpi_disabled-fix arch/x86_64/kernel/setup.c
--- 25/arch/x86_64/kernel/setup.c~acpi_disabled-fix	2003-09-18 20:02:17.000000000 -0700
+++ 25-akpm/arch/x86_64/kernel/setup.c	2003-09-18 20:02:17.000000000 -0700
@@ -64,7 +64,7 @@ struct cpuinfo_x86 boot_cpu_data;
 unsigned long mmu_cr4_features;
 EXPORT_SYMBOL_GPL(mmu_cr4_features);
 
-int acpi_disabled __initdata = 0;
+int acpi_disabled = 0;
 
 /* For PCI or other memory-mapped resources */
 unsigned long pci_mem_start = 0x10000000;

_
